Package ghidra.app.util.viewer.field

# Class ArrayElementFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.CodeUnitLocation
ghidra.program.util.OperandFieldLocation
ghidra.app.util.viewer.field.ArrayElementFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class ArrayElementFieldLocation extends OperandFieldLocation

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayElementFieldLocation()`
  Default constructor needed for restoring from XML.
  `ArrayElementFieldLocation(Program program, Address address, int[] componentPath, String displayValue, int elementIndex, int charOffset)`
  Creates an ArrayElementFieldLocation

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getElementIndexOnLine(Data firstDataOnLine)`

  ### Methods inherited from class ghidra.program.util.OperandFieldLocation

  `equals, getOperandIndex, getOperandRepresentation, getSubOperandIndex, getVariableOffset, hashCode, restoreState, saveState, toString`

  ### Methods inherited from class ghidra.program.util.CodeUnitLocation

  `isValid`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ArrayElementFieldLocation

    public ArrayElementFieldLocation(Program program, Address address, int[] componentPath, String displayValue, int elementIndex, int charOffset)
    Creates an ArrayElementFieldLocation
    Parameters:
      `program` - the program
      `address` - the address of the location
      `componentPath` - the data component path
      `displayValue` - the text being displayed in the text.
      `elementIndex` - the element of the array on the line.
      `charOffset` - the character position within the text.

  - ### ArrayElementFieldLocation

    public ArrayElementFieldLocation()
    Default constructor needed for restoring from XML.

- ## Method Details

  - ### getElementIndexOnLine

    public int getElementIndexOnLine(Data firstDataOnLine)